%define	name	avidemux
%define	Name	Avidemux
%define version 2.3.0
%define rel 6
%define pre 0
%if %pre
%define filename %{name}_%{oversion}_%pre
%define release %mkrel 0.%pre.%rel
%else 
%define filename %{name}_%version
%define release %mkrel %rel
%endif

%bcond_with plf

%if %with plf
%define distsuffix plf
%endif

%define	pkgsummary	A free video editor
%define build_mmx 1
%{?_with_mmx: %{expand: %%define build_mmx 1}}
%{?_without_mmx: %{expand: %%define build_mmx 0}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{pkgsummary}
Source0:	http://download.berlios.de/avidemux/%{filename}.tar.bz2
Patch0:		avidemux-2.3.0-conditional-amr+toolame.patch
License:	GPL
Group:		Video
Url:		http://fixounet.free.fr/avidemux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:	SDL-devel
BuildRequires:	nasm
BuildRequires:	libxml2-devel
BuildRequires:	libmad-devel
BuildRequires:	liba52dec-devel
BuildRequires:	libarts-devel 
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
%if %with plf
BuildRequires:	libxvid-devel
BuildRequires:	liblame-devel
BuildRequires:	libfaad2-devel
BuildRequires:	libfaac-devel
BuildRequires:	x264-devel
BuildRequires:	dtsdec-devel > 0.0.2-4
%endif
BuildRequires:	mozilla-firefox-devel
BuildRequires:	automake1.8
BuildRequires:	ImageMagick
Requires: gtk+2.0 >= 2.6.0
%define firefox_version	%(rpm -q mozilla-firefox --queryformat %{VERSION})
%if %mdkversion >= 200700
Requires: %mklibname mozilla-firefox %firefox_version
%else
Requires: mozilla-firefox = %firefox_version
%endif

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%if %with plf
This package is in PLF because this build has support for codecs
covered by software patents.
%endif

%prep
%setup -q -n %filename
%patch0 -p1

%build
sh admin/cvs.sh cvs

%if %mdkversion >= 200710
export FFCONFIG=firefox-config
%else
export FFCONFIG=mozilla-firefox-config
%endif

export CPPFLAGS="`$FFCONFIG --cflags js` -DXP_UNIX"
export LDFLAGS=`$FFCONFIG --libs`
#gw add rpath:
export LDFLAGS="$LDFLAGS `$FFCONFIG --libs|sed s/L/Wl,-rpath\ /`"
%if %mdkversion <= 200600
export LDFLAGS="$LDFLAGS -L%{_prefix}/X11R6/%{_lib}"
%endif
%configure2_5x --disable-warnings \
%if %with plf
	--enable-toolame \
	--enable-amr_nb \
%endif
%if ! %build_mmx
	--disable-mmx
%endif

# parallel build broken as of 2.3-0.preview2
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# icons
install -d -m755 $RPM_BUILD_ROOT%{_liconsdir}
install -d -m755 $RPM_BUILD_ROOT%{_iconsdir}
install -d -m755 $RPM_BUILD_ROOT%{_miconsdir}
convert avidemux_icon.png -resize 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert avidemux_icon.png -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert avidemux_icon.png -resize 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}2"\
	needs="X11"\
	section="Multimedia/Video"\
	icon="%{name}.png"\
	title="%{Name}"\
	longtitle="%{pkgsummary}" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{Name}
Comment=%{pkgsummary}
Exec=%{_bindir}/%{name}2 %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video;GTK;
EOF
rm -rf %buildroot%_datadir/locale/klingon

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL TODO History README
%{_bindir}/avidemux2
%{_menudir}/%{name}
%_datadir/applications/mandriva-*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Mar 15 2007 Anssi Hannula <anssi@mandriva.org> 2.3.0-6mdv2007.1
+ Revision: 144509
- fix buildrequires
- better description
- use provided icons
- fix menu categories
- adapt package for Mandriva
- Import avidemux



* Tue Feb 27 2007 Gtz Waschk <goetz@zarb.org> 2.3.0-5plf2007.1
- rebuild for new firefox

* Thu Feb 22 2007 Gtz Waschk <goetz@zarb.org> 2.3.0-4plf2007.1
- rebuild for new libgiil

* Mon Jan  8 2007 Gtz Waschk <goetz@zarb.org> 2.3.0-3plf2007.1
- rebuild for new firefox

* Thu Dec  7 2006 Gtz Waschk <goetz@zarb.org> 2.3.0-2plf2007.1
- fix firefox build

* Sun Dec  3 2006 Gtz Waschk <goetz@zarb.org> 2.3.0-1plf2007.1
- new version

* Fri Nov 17 2006 Anssi Hannula <anssi@zarb.org> 2.3-0.preview2.5plf2007.1
- fix firefox requires on lib64 and when backporting

* Thu Nov  9 2006 Gtz Waschk <goetz@zarb.org> 2.3-0.preview2.4plf2007.1
- fix mozilla dep

* Thu Nov  9 2006 Gtz Waschk <goetz@zarb.org> 2.3-0.preview2.3plf2007.1
- rebuild for new firefox

* Sun Oct 29 2006 Anssi Hannula <anssi@zarb.org> 2.3-0.preview2.2plf2007.1
- disable parallel build

* Thu Oct 19 2006 Gtz Waschk <goetz@zarb.org> 2.3-0.preview2.1plf2007.1
- drop the patch
- new version

* Wed Oct 18 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.10plf2007.1
- rebuild

* Mon Sep 18 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.9plf2007.0
- rebuild

* Sun Sep 17 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.8plf2007.0
- rebuild for new firefox

* Fri Sep  8 2006 Anssi Hannula <anssi@zarb.org> 2.2.0-0.preview2b.7plf2007.0
- fix LDFLAGS for lib64 on backports

* Fri Sep  8 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.6plf2007.0
- don't apply the patch on 2006.0

* Tue Aug 29 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.5plf2007.0
- patch for new x264

* Thu Aug  3 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.4plf2007.0
- rebuild for new firefox

* Mon Jul 31 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.3plf2007.0
- Rebuild for new firefox

* Sat Jul  1 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.2plf2007.0
- rebuild

* Thu Jun 22 2006 Gtz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.1plf2007.0
- add xdg menu
- new version

* Sat Jun  3 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-5plf2007.0
- Rebuild for new firefox

* Wed May 03 2006 Götz Waschk <goetz@zarb.org> 2.1.2-4plf
- rebuild for new firefox

* Fri Apr 21 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-3plf
- rebuild for new firefox

* Wed Apr  5 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-2plf
- rebuild to fix firefox dep

* Wed Mar  8 2006 Gtz Waschk <goetz@zarb.org> 2.1.2-1plf
- drop patch

* Wed Mar 08 2006 Götz Waschk <goetz@zarb.org> 2.1.2-1plf
- New release 2.1.2

* Fri Feb 03 2006 Götz Waschk <goetz@zarb.org> 2.1.0-3plf
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <goetz@zarb.org> 2.1.0-2plf
- rebuild  for new mozilla-firefox

* Tue Dec 27 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-1plf
- new version

* Wed Oct 26 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-0.step3.2plf
- rebuild for new firefox

* Wed Oct 19 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-0.step3.1plf
- new version

* Mon Sep 26 2005 Goetz Waschk <goetz@ryu.zarb.org> 2.1.0-0.step2.2plf
- add rpath to fix mozilla linking

* Mon Sep 12 2005 Gtz Waschk <goetz@zarb.org> 2.1.0-0.step2.1plf
- enable x264
- rediff the patch
- new version

* Tue Aug 16 2005 Gtz Waschk <goetz@zarb.org> 2.1-0.step1.1plf
- bump deps
- drop source 4
- new version

* Wed Jun 15 2005 Gtz Waschk <goetz@zarb.org> 2.0.40-1plf
- ugly workaround for Cooker's broken gcc4
- new version

* Tue May  3 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc3.1plf
- new version

* Tue Apr 19 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc2b.2plf
- mkrel macro

* Fri Apr  1 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc2b.1plf
- decompress icons
- update buildrequires
- enable mmx (doesn't build otherwise)
- new version

* Thu Mar 31 2005 Gtz Waschk <goetz@zarb.org> 2.0.38-0.rc1.1plf
- New release 2.0.38rc1

* Thu Feb 17 2005 Gtz Waschk <goetz@zarb.org> 2.0.36-1plf
- new version

* Mon Dec 06 2004 Laurent Culioli <laurent@zarb.org> 2.0.34-0.test1.1plf
- 2.0.34-test1
- Drop Patch0

* Mon Oct 26 2004 Laurent Culioli <laurent@zarb.org> 2.0.32-1plf
- 2.0.32
- Patch0: mpeg ps fix.

* Fri Aug 13 2004 Gtz Waschk <goetz@zarb.org> 2.0.28-1plf
- source URL
- New release 2.0.28

* Fri Jul 23 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0.26-1plf
- update buildrequires
- reenable libtoolize on cooker
- New release 2.0.26

* Sun May  9 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0.24-1plf
- add source url
- New release 2.0.24

* Wed Apr 14 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0.22-1plf
- don't run libtoolize
- update description
- drop merged patch
- fix buildrequires
- new version

* Wed Oct 01 2003 Laurent Culioli <laurent@pschit.net> 2.0.16-1plf
- 2.0.16
- patch0: fix save jpeg
- fix avcodec compilation
- %%{find_lang}

* Mon Jun 23 2003 Gtz Waschk <goetz@plf.zarb.org> 0.9-2plf
- fix buildrequires

* Mon Apr 21 2003 Laurent Culioli <laurent@pschit.net> 0.9-1plf
- 0.9 final

* Sat Mar 22 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.9-0.rc3.1plf
- 0.9.0rc3

* Sun Mar 09 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.9-0.rc2.1plf
- 0.9.0rc2

* Sat Mar 01 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.9-0.rc1.1plf
- 0.9.0rc1

* Fri Feb 07 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.9-0.pre32.1plf
- 0.9-0pre32

* Sun Jan 26 2003 Laurent Culioli <laurent@pschit.net> 0.9-0.pre30.1plf
- 0.9-0pre30

* Sat Jan 04 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.9-0.pre28.1plf
- 0.9-0pre28

* Sun Dec  8 2002 Laurent Culioli <laurent@pschit.net> 0.9-0.pre24.1plf
- 0.9-0pre24 ( wwooooo )

* Wed Nov 20 2002 Laurent Culioli <laurent@pschit.net> 0.9-0.pre22.1plf
- bump to 0.9-0pre22

* Fri Nov  8 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.9-0.pre20.1plf
- drop patch
- new version

* Fri Nov  1 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.9-0.pre18.2plf
- really fix disable mmx option by patching configure.in

* Wed Oct 30 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.9-0.pre18.1plf
- --with mmx rebuilds the package with MMX support
- new version

* Fri Oct 04 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.9-0.pre17.1plf
- 0.9-pre17

* Sun Sep 29 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.9-0.pre16.1plf
- 0.9-pre16
- removed --enable-release configure option
- manual configure call because of libtool problems
- rpmlint fixes

* Sat Sep 14 2002 Laurent Culioli <laurent@pschit.net> 0.9-0.14.1plf
- bump to 0.9-0pre14
- add buildrequires to ffmpeg
- drop patch0

* Fri Aug 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.9-0.pre13.1plf 
- 0.9-0pre13
- fixed versioning scheme
- menu entry
- removed packager tag

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.9pre12-2plf
- Rebuild with gcc3.2

* Wed Aug 14 2002 Laurent Culioli <laurent@pschit.net> 0.9pre12-1plf
- bump to pre12
- disabling MMX 

* Tue Aug 13 2002 Laurent Culioli <laurent@pschit.net> 0.9pre11-1plf
- Drop patch0

* Sat Aug  3 2002 Laurent Culioli <laurent@pschit.net> 0.9pre10-1plf
- initial package
- patch0 : fix include for compilation with libmpeg3
